API ReferenceBoard Column
Creates a BoardColumn resource
Creates a BoardColumn resource
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
The new BoardColumn resource
TypeScript Definitions
Use the request body type in TypeScript.
name*string
Length
length <= 100decorator*string
Value in
- "#78909c"
- "#2490e3"
- "#44a069"
- "#987284"
- "#d32f2f"
- "#f57f17"
- "#003366"
- "#00bfa5"
- "#ee7674"
- "#9c27b0"
status*string
Value in
- "todo"
- "in-progress"
- "done"
board*string
Format
uuidweight?|
Range
0 <= valuepositionBoardColumn?|
Format
uuidposition?|
Default
"before"Value in
- "before"
- "after"
Response Body
curl -X POST "https://example.com/project/board-columns" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "decorator": "#78909c", "status": "todo", "board": "a98884d6-3c76-4114-ba9c-216527a5aac1" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "board": "a98884d6-3c76-4114-ba9c-216527a5aac1", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "decorator": "#78909c", "weight": 0, "status": "todo"}